| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ProbDenFunc1D Class Referenceabstract
Algo

Probability Density Function for one dimensional datasets. More...

`#include <probdenfunc.h>`

Inheritance diagram for ProbDenFunc1D:
[legend]

## Public Member Functions
float | averagePos (int) const override
void | drawRandomPos (float &v) const
void | drawRandomPos (TypeSet< float > &v) const override
bool | hasLimits () const override
int | nrDims () const override
float | stddevPos (int) const override
float | value (const TypeSet< float > &v) const override
float | value (float v) const
Public Member Functions inherited from ProbDenFunc
virtual | ~ProbDenFunc ()
virtual bool | canScale () const
virtual ProbDenFunc * | clone () const =0
virtual void | copyFrom (const ProbDenFunc &)=0
const char * | dimName (int dim) const
virtual void | fillPar (IOPar &) const =0
void | getIndexTableFor (const ProbDenFunc &pdf, TypeSet< int > &tbl) const
| tbl[0] tells what my index is for pdf's index '0'
virtual const char * | getTypeStr () const =0
const char * | getUOMSymbol (int dim) const
virtual bool | isCompatibleWith (const ProbDenFunc &) const
virtual bool | isEqual (const ProbDenFunc &) const
virtual float | normFac () const
virtual void | prepareRandDrawing () const
virtual bool | readBulk (od_istream &, bool binary)
virtual void | scale (float)
void | setDimName (int dim, const char *)
void | setUOMSymbol (int dim, const char *)
virtual bool | usePar (const IOPar &)=0
virtual void | writeBulk (od_ostream &, bool binary) const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
| ProbDenFunc1D (const char *vnm="")
virtual void | drwRandPos (float &) const =0
virtual float | gtAvgPos () const =0
virtual float | gtStdDevPos () const =0
virtual float | gtVal (float) const =0
virtual bool | hasLims () const =0
Protected Member Functions inherited from ProbDenFunc
| ProbDenFunc ()
| ProbDenFunc (const ProbDenFunc &)
virtual bool | isEq (const ProbDenFunc &) const =0
| already checked for type, name, dim names and units

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from ProbDenFunc
static const char * | sKeyNrDim ()
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Probability Density Function for one dimensional datasets.

<>

## Constructor & Destructor Documentation

## ◆ ProbDenFunc1D()

ProbDenFunc1D::ProbDenFunc1D | ( | const char * | vnm = "" | ) |
| protected

## Member Function Documentation

## ◆ averagePos()

float ProbDenFunc1D::averagePos | ( | int |  | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ drawRandomPos() [1/2]

void ProbDenFunc1D::drawRandomPos | ( | float & | v | ) | const
| inline

## ◆ drawRandomPos() [2/2]

void ProbDenFunc1D::drawRandomPos | ( | TypeSet< float > & | v | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ drwRandPos()

virtual void ProbDenFunc1D::drwRandPos | ( | float & |  | ) | const
| protected pure virtual

Implemented in Gaussian1DProbDenFunc, and Sampled1DProbDenFunc.

## ◆ gtAvgPos()

virtual float ProbDenFunc1D::gtAvgPos | ( |  | ) | const
| protected pure virtual

Implemented in Gaussian1DProbDenFunc, and Sampled1DProbDenFunc.

## ◆ gtStdDevPos()

virtual float ProbDenFunc1D::gtStdDevPos | ( |  | ) | const
| protected pure virtual

Implemented in Gaussian1DProbDenFunc, and Sampled1DProbDenFunc.

## ◆ gtVal()

virtual float ProbDenFunc1D::gtVal | ( | float |  | ) | const
| protected pure virtual

Implemented in Gaussian1DProbDenFunc, and Sampled1DProbDenFunc.

## ◆ hasLimits()

bool ProbDenFunc1D::hasLimits | ( |  | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ hasLims()

virtual bool ProbDenFunc1D::hasLims | ( |  | ) | const
| protected pure virtual

Implemented in Gaussian1DProbDenFunc, and Sampled1DProbDenFunc.

## ◆ nrDims()

int ProbDenFunc1D::nrDims | ( |  | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ stddevPos()

float ProbDenFunc1D::stddevPos | ( | int |  | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ value() [1/2]

float ProbDenFunc1D::value | ( | const TypeSet< float > & | v | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ value() [2/2]

float ProbDenFunc1D::value | ( | float | v | ) | const
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025